Bug 1278769 - latest fastboot required to unlock Nexus 6P (and maybe 5X)
latest fastboot required to unlock Nexus 6P (and maybe 5X)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: android-tools (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 06:35 EST by Chris Smart
Modified: 2016-06-18 15:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: android-tools-20160327git3761365735de-1.fc23 android-tools-20160327git3761365735de-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-17 23:21:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Smart 2015-11-06 06:35:07 EST
Description of problem:
In order to flash the developer image for Nexus 6P (and maybe 5X) you have to oem unlock the device, however the command has changed from:

fastboot oem unlock

To:

fastboot flashing unlock

In order to do this, we need the latest version of fastboot.

How reproducible:
Always

Steps to Reproduce:
1. Get a Nexus 6P into download mode
2. run fastboot oem unlock

Actual results:
Fails to unlock with error about unknown command.

Expected results:
Phone should unlock.

Additional info:

See new requirement:
https://source.android.com/devices/tech/security/verifiedboot/verified-boot.html#bootloader_requirements
Comment 1 Fedora Update System 2016-03-31 08:01:25 EDT
android-tools-20160327git3761365735de-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f21852d13b
Comment 2 Fedora Update System 2016-03-31 08:01:37 EDT
android-tools-20160327git3761365735de-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f692aa0bb8
Comment 3 Fedora Update System 2016-03-31 08:01:47 EDT
android-tools-20160327git3761365735de-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d10e7205f0
Comment 4 Fedora Update System 2016-03-31 21:56:26 EDT
android-tools-20160327git3761365735de-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f692aa0bb8
Comment 5 Fedora Update System 2016-04-01 11:24:01 EDT
android-tools-20160327git3761365735de-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f21852d13b
Comment 6 Fedora Update System 2016-04-01 16:55:12 EDT
android-tools-20160327git3761365735de-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d10e7205f0
Comment 7 Fedora Update System 2016-04-17 23:21:10 EDT
android-tools-20160327git3761365735de-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-06-18 15:01:43 EDT
android-tools-20160327git3761365735de-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.